import pl.postivo.api.webservices_php.BalanceReturnObject;
import pl.postivo.api.webservices_php.PostivoPlBindingStub;
import pl.postivo.api.webservices_php.PostivoPlLocator;


public class Balance {

	public static void main(String[] args) {
	try {
     // Przykad wywoania metody getBalance, umoliwiajcej sprawdzenie stanu konta

         String sLogin = ""; // Login konta w Postivo.pl
         String sApiPass = ""; // Haso dostpu do konta przez API

         // Utworzenie obiektu stub:
        PostivoPlLocator locator = new PostivoPlLocator();	 
     	PostivoPlBindingStub stub =(PostivoPlBindingStub)locator.getPostivoPlPort(new java.net.URL("http://api.postivo.pl/webservices.php"));

         // Wywoanie metody getBalance z przekazaniem wszystkich parametrw
         BalanceReturnObject output = stub.getBalance(sLogin, sApiPass);

         // Przykad obsugi danych wyjciowych:
         System.out.println("Status dania: " + output.getResult_code() + ", opis statusu dania: " + output.getResult_description());
         System.out.println("Aktualny stan konta: " + output.getBalance() + "z netto, Limit konta: " + output.getLimit());

         if (output.getPostpaid() == 1) System.out.println("Konto POST-PAID");
         else System.out.println("Konto PRE-PAID");
     }
     catch (Exception exeption)
     {
    	 System.out.println("Wystpi bd: " + exeption.getMessage());
     }

	}

}
